For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create up to 2,000 endpoints in one request.
Unlike [`POST /api/v1/endpoint`](/developers/api/endpoint/create-endpoint), this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints.
<Note>
Execute bulk operations sequentially - wait for each bulk request to complete before starting the next.
</Note>
If a `sim` object is provided, the specified SIM is assigned to the endpoint and is activated by default.
To assign the SIM without activating it, explicitly set the `activate` property to `false`; omitting it activates the SIM.
When the SIM is activated:
- The SIM enters Factory Test Mode (FTM) if FTM is enabled for the organization.
- Otherwise, it goes directly to **Activated**.
To override this behavior and explicitly set the SIM's status (for example, skip FTM even if it's enabled for your organization), include a `status` object within the `sim` object.
<Warning>
Telecom Liechtenstein charges for activated SIMs, even if the endpoint status is set to **Disabled**.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
If provided, it must include a valid id (cannot be empty).
ip_address_spaceobjectOptional
Required if any endpoint in the endpoints array has an ip_address.
Response
iddouble
ip_addressstring
statusobject
namestring
tag_assignmentslist of objects
Structured tag data with color information.
createdstringformat: "date-time"
last_updatedstringformat: "date-time"
imei_lockboolean
service_profileobject
tariff_profileobject
ip_address_spaceobject
tagsstringDeprecated
Comma-separated list of tags.
Empty when the endpoint has no tags assigned.
Deprecated. Use tag_assignments instead.
imeistringOptional
simobjectOptional
imei_with_luhnstringOptional
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
Create up to 2,000 endpoints in one request.
Unlike POST /api/v1/endpoint, this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints.
Execute bulk operations sequentially - wait for each bulk request to complete before starting the next.
If a sim object is provided, the specified SIM is assigned to the endpoint and is activated by default.
To assign the SIM without activating it, explicitly set the activate property to false; omitting it activates the SIM.
When the SIM is activated:
The SIM enters Factory Test Mode (FTM) if FTM is enabled for the organization.
Otherwise, it goes directly to Activated.
To override this behavior and explicitly set the SIM’s status (for example, skip FTM even if it’s enabled for your organization), include a status object within the sim object.
Telecom Liechtenstein charges for activated SIMs, even if the endpoint status is set to Disabled.